## com.sun.jersey.server.wadl.generators.resourcedoc.model
Class ParamDocType

    java.lang.Object
      com.sun.jersey.server.wadl.generators.resourcedoc.model.ParamDocType

    public class ParamDocType

extends java.lang.Object

The documentation type for params: method params, path params on a class etc.
Created on: Jun 12, 2008

Version:
  $Id$
Author:
  Martin Grotzke

Field Summary
`protected java.util.List<AnnotationDocType>` | `annotationDoc`

Constructor Summary
`ParamDocType()`
`ParamDocType(java.lang.String paramName, java.lang.String commentText)`

Method Summary
`java.util.List<AnnotationDocType>` | `getAnnotationDocs()`
`java.util.List<java.lang.Object>` | `getAny()`
`java.lang.String` | `getCommentText()`
`java.lang.String` | `getParamName()`
`void` | `setCommentText(java.lang.String commentText)`
`void` | `setParamName(java.lang.String paramName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### annotationDoc

    protected java.util.List<AnnotationDocType> annotationDoc

Constructor Detail

### ParamDocType

    public ParamDocType()

### ParamDocType

    public ParamDocType(java.lang.String paramName,
                        java.lang.String commentText)

Method Detail

### getAnnotationDocs

    public java.util.List<AnnotationDocType> getAnnotationDocs()

### getAny

    public java.util.List<java.lang.Object> getAny()

### getCommentText

    public java.lang.String getCommentText()

  Returns:
    the commentText

### setCommentText

    public void setCommentText(java.lang.String commentText)

  Parameters:
    `commentText` - the commentText to set

### getParamName

    public java.lang.String getParamName()

  Returns:
    the className

### setParamName

    public void setParamName(java.lang.String paramName)

  Parameters:
    `paramName` - the className to set

Copyright © 2017 Oracle Corporation. All Rights Reserved.